Loading...
Searching...
No Matches
BALL::RandomEvaluation Class Reference
Molecular Modeling » Molecular Structure » Docking of molecular structures

`#include <BALL/SCORING/FUNCTIONS/randomEvaluation.h>`

Inheritance diagram for BALL::RandomEvaluation:

## Public Member Functions

| RandomEvaluation () throw ()
virtual | ~RandomEvaluation () throw ()
std::vector< ConformationSet::Conformation > | operator() (ConformationSet &conformations) throw ()
Public Member Functions inherited from BALL::EnergeticEvaluation
| EnergeticEvaluation () throw ()
virtual | ~EnergeticEvaluation () throw ()

## Detailed Description

A basis class for energetic evaluators of docking results. This trivial class will return the identity scoring, leaving permutation and score unchanged.

Definition at line 28 of file randomEvaluation.h.

## Constructor & Destructor Documentation

## RandomEvaluation()

BALL::RandomEvaluation::RandomEvaluation | ( |  | ) |
throw | ( | ) |  |  |

## ~RandomEvaluation()

virtual BALL::RandomEvaluation::~RandomEvaluation | ( |  | ) |
throw | ( | ) |  |  |

virtual

## Member Function Documentation

## operator()()

std::vector< ConformationSet::Conformation > BALL::RandomEvaluation::operator() | ( | ConformationSet & | conformations | ) |
throw | ( | ) |  |  |

virtual

Operations

Reimplemented from BALL::EnergeticEvaluation.